> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic.md).

# MarkupDiagnostic

Struct in [LineParser](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser.md)

Inherits from `System.ValueType`

## Summary

Represents a diagnostic message produced during markup parsing.

```csharp
public struct MarkupDiagnostic : IEquatable<MarkupDiagnostic>
```

## Constructors

| Name                                                                                                                                                                        | Description                                                                                                                                                 |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [MarkupDiagnostic(string,int)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic..ctor.md) | Initialises a new instance of the [MarkupDiagnostic](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic.md) struct. |

## Methods

| Name                                                                                                                                                                       | Description |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [Equals(object)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.equals-1.md)           |             |
| [Equals(MarkupDiagnostic)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.equals-2.md) |             |
| [GetHashCode()](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.gethashcode.md)         |             |

## Properties

| Name                                                                                                                                                     | Description                                                                                  |
| -------------------------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| [Column](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.column.md)   | Gets the zero-based column index of the start of the range at which this diagnostic appears. |
| [Message](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.message.md) | Gets the text of the diagnostic.                                                             |

## TYPENAME\_UNKNOWN\_PLURAL

| Name                                                                                                                                                                                                                                                                                             | Description |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| [M:Yarn.Markup.LineParser.MarkupDiagnostic.op\_Equality(Yarn.Markup.LineParser.MarkupDiagnostic,Yarn.Markup.LineParser.MarkupDiagnostic)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.op_equality.md)     |             |
| [M:Yarn.Markup.LineParser.MarkupDiagnostic.op\_Inequality(Yarn.Markup.LineParser.MarkupDiagnostic,Yarn.Markup.LineParser.MarkupDiagnostic)](/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic/yarn.markup.lineparser.markupdiagnostic.op_inequality.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.markup/yarn.markup.lineparser/yarn.markup.lineparser.markupdiagnostic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
